Automations · Broadcasts
Fetches broadcast details.
GET
https://api.pozy.ai/v1/broadcasts/{broadcastId}getBroadcast
Guides: Broadcasts, WhatsApp broadcasts
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
broadcastIdrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/broadcasts/6ce1988a4c4f8bc6d3ca157a" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/broadcasts/6ce1988a4c4f8bc6d3ca157a", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/broadcasts/6ce1988a4c4f8bc6d3ca157a",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
successbooleanbroadcastobject19 child fields
idstringnamestringdescriptionstringplatformstringaccountIdstringmessageobject1 child field
textstring
templateobject2 child fields
namestringlanguagestring
segmentFiltersobject3 child fields
tagsarray of stringisSubscribedbooleancustomFieldsobject
statusstringOne of
draft,scheduled,sending,completed,failed,cancelled.scheduledAtstring (date-time)startedAtstring (date-time)completedAtstring (date-time)recipientCountintegersentCountintegerdeliveredCountintegerreadCountintegerfailedCountintegercreatedAtstring (date-time)updatedAtstring (date-time)
200 response
{
"success": true,
"broadcast": {
"id": "6bfebd43ddc270f6d2c56fc5",
"name": "Acme",
"description": "A short description",
"platform": "instagram",
"accountId": "696e0b682d0a31188e7a2ba9",
"message": {
"text": "Hello from Pozy"
},
"template": {
"name": "Acme",
"language": "en"
},
"segmentFilters": {
"tags": [
"string"
],
"isSubscribed": true,
"customFields": {}
},
"status": "draft",
"scheduledAt": "2026-10-02T09:00:00.000Z",
"startedAt": "2026-10-02T09:00:00.000Z",
"completedAt": "2026-10-02T09:00:00.000Z",
"recipientCount": 42,
"sentCount": 42,
"deliveredCount": 42,
"readCount": 42,
"failedCount": 42,
"createdAt": "2026-10-02T09:00:00.000Z",
"updatedAt": "2026-10-02T09:00:00.000Z"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.